EM_NCG(6)

NAME
em_ncg - EM to assembly code translator

SYNOPSIS
~em/lib.bin/mach/cg [-dn] [-pn] [-wn] [-ufile] [ infile [ outfile ] ]

DESCRIPTION
Em_cg reads a compact EM-program, argument or standard input, and produces an assembly program on argument or standard output for the machine that is in its name. Flags recognized are:

-dn Run in debugging mode, debugging level n, only possible when the translator is compiled in the right way.

-pn Set the ply to n, default 1. The ply is the maximum lookahead depth the code generator may take. Effects of this flag are machine dependent.

-wn Set the weight percentage for size to n %, default is 50. This sets the size/time tradeoff in the codegenerator. Effects are again machine dependent.

-ufile
    Take the file as a bitmap giving 1 bits for untested code rules and write the file at end of code generation, substituting zero bits for rules used. Give a list of untested rules on standard error, unless the -u was given as -U. Only possible if the -d flag was given to ncgg(6).

FILES
code    If the -c flag was given to ncgg(6)

SEE ALSO
ack(1), ncgg(6)
[1] A.S. Tanenbaum, Hans van Staveren, Ed Keizer and Johan Stevenson "Description of a machine architecture for use with block structured languages" Informatica report IR-81.

AUTHOR
Hans van Staveren, Vrije Universiteit